Package Details: pkgbuilder 4.3.0-1

Git Clone URL: https://aur.archlinux.org/pkgbuilder.git (read-only)
Package Base: pkgbuilder
Description: A Python AUR helper/library.
Upstream URL: https://github.com/Kwpolska/pkgbuilder
Keywords: aur aur4 download helper pkgbuild pkgbuilder
Licenses: BSD
Submitter: Kwpolska
Maintainer: Kwpolska
Last Packager: Kwpolska
Votes: 40
Popularity: 1.001863
First Submitted: 2011-09-20 14:46
Last Updated: 2019-01-12 15:09

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

mrbit commented on 2012-09-15 19:24

ow ok :

pacman -R pyalpm pkgbuilder
and
install packer -S pkgbuilder
????? strange

Kwpolska commented on 2012-09-15 18:49

I can’t see the problem. I will investigate, but I cannot find a valid cause. It might be a problem of your system.

mrbit commented on 2012-09-15 18:45

[mrbit@localhost ~]$ pkgbuilder
Traceback (most recent call last):
File "/usr/bin/pkgbuilder", line 3, in <module>
import pkgbuilder.main
File "/usr/lib/python2.7/site-packages/pkgbuilder/main.py", line 125
print(DS.colors['all_off'], end='')
^
SyntaxError: invalid syntax

Kwpolska commented on 2012-09-03 11:42

And, for future reference, the correct place to report bugs and issues and wishes is https://github.com/Kwpolska/pkgbuilder/issues .

mrbit commented on 2012-09-03 11:34

strange !!!!!

wlan0 it's ok..!!!!

Kwpolska commented on 2012-09-03 11:32

I think I do not need to report this bug after all. Please go fix your router or wlan0, as it seems to be the culprit, it’s not my fault. Sorry.

mrbit commented on 2012-09-03 11:31

sudo pkgbuilder -Syu
:: Gathering data about packages...
Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 275, in _make_request
httplib_response = conn.getresponse(buffering=True)
TypeError: getresponse() got an unexpected keyword argument 'buffering'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/requests/models.py", line 618, in send
timeout=self.timeout,
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 415, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 277, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib/python3.2/http/client.py", line 1049, in getresponse
response.begin()
File "/usr/lib/python3.2/http/client.py", line 346, in begin
version, status, reason = self._read_status()
File "/usr/lib/python3.2/http/client.py", line 308, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/lib/python3.2/socket.py", line 276, in readinto
return self._sock.recv_into(b)
socket.error: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/pkgbuilder", line 6, in <module>
pkgbuilder.main.main()
File "/usr/lib/python3.2/site-packages/pkgbuilder/main.py", line 144, in main
upgrade.auto_upgrade()
File "/usr/lib/python3.2/site-packages/pkgbuilder/upgrade.py", line 99, in auto_upgrade
upgradeable = self.list_upgradeable(foreign.keys())
File "/usr/lib/python3.2/site-packages/pkgbuilder/upgrade.py", line 71, in list_upgradeable
aurlist = self.aur.multiinfo(pkglist, DS.protocol)['results']
File "/usr/lib/python3.2/site-packages/pkgbuilder/aur.py", line 85, in multiinfo
return json.loads(self.jsonmultiinfo(args, prot))
File "/usr/lib/python3.2/site-packages/pkgbuilder/aur.py", line 57, in jsonmultiinfo
req = requests.get(self.mrpc.format(prot, urlargs))
File "/usr/lib/python3.2/site-packages/requests/api.py", line 65, in get
return request('get', url, **kwargs)
File "/usr/lib/python3.2/site-packages/requests/safe_mode.py", line 39, in wrapped
return function(method, url, **kwargs)
File "/usr/lib/python3.2/site-packages/requests/api.py", line 51, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.2/site-packages/requests/sessions.py", line 243, in request
r.send(prefetch=prefetch)
File "/usr/lib/python3.2/site-packages/requests/models.py", line 623, in send
raise ConnectionError(sockerr)
requests.exceptions.ConnectionError: [Errno 104] Connection reset by peer

mrbit commented on 2012-09-03 11:30

with wlan0:

2012-09-03 13:28:10,565 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-03 13:28:10,690 [INFO ] :pkgbuilder: Running argparse.
2012-09-03 13:28:10,691 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-03 13:28:10,691 [INFO ] :pkgbuilder: Ran through all the addon features, building...
2012-09-03 13:28:10,692 [INFO ] :pkgbuilder: Building pkgbuilder
2012-09-03 13:28:10,697 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 13:28:22,107 [ERROR ] :pkgbuilder: (auto fancy_error ) [Errno 104] Connection reset by peer
2012-09-03 13:28:22,107 [ERROR ] :pkgbuilder: (auto PBError ) [ERR3402] Something went wrong. EC=3 EM=['requests.exceptions.ConnectionError']
2012-09-03 13:28:22,107 [ERROR ] :pkgbuilder: (auto fancy_error ) [ERR3402] Something went wrong. EC=3 EM=['requests.exceptions.ConnectionError']
2012-09-03 13:28:22,107 [INFO ] :pkgbuilder: Quitting.

Kwpolska commented on 2012-09-03 11:27

mind showing me the same with wlan0?

mrbit commented on 2012-09-03 11:26

with eth0 :

2012-09-03 13:25:37,598 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-03 13:25:37,705 [INFO ] :pkgbuilder: Running argparse.
2012-09-03 13:25:37,707 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-03 13:25:37,707 [INFO ] :pkgbuilder: Ran through all the addon features, building...
2012-09-03 13:25:37,707 [INFO ] :pkgbuilder: Building pkgbuilder
2012-09-03 13:25:37,712 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 13:25:38,119 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=info&arg=pkgbuilder HTTP/1.1" 200 None
2012-09-03 13:25:38,138 [INFO ] :pkgbuilder: (auto fancy_msg ) Building pkgbuilder...
2012-09-03 13:25:38,169 [INFO ] :pkgbuilder: (auto fancy_msg ) Downloading the tarball...
2012-09-03 13:25:38,170 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 13:25:38,613 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /packages/pk/pkgbuilder/pkgbuilder.tar.gz HTTP/1.1" 200 568
2012-09-03 13:25:38,614 [INFO ] :pkgbuilder: (auto fancy_msg2 ) 0.568 kB downloaded
2012-09-03 13:25:38,614 [INFO ] :pkgbuilder: (auto fancy_msg ) Extracting...
2012-09-03 13:25:38,615 [INFO ] :pkgbuilder: (auto fancy_msg2 ) 2 files extracted
2012-09-03 13:25:38,616 [INFO ] :pkgbuilder: (auto fancy_msg ) Checking dependencies...
2012-09-03 13:25:38,818 [INFO ] :pkgbuilder: (auto fancy_msg2 ) python: found in system
2012-09-03 13:25:38,818 [INFO ] :pkgbuilder: (auto fancy_msg2 ) pyalpm: found in system
2012-09-03 13:25:38,818 [INFO ] :pkgbuilder: (auto fancy_msg2 ) python-pyparsing: found in system
2012-09-03 13:25:38,818 [INFO ] :pkgbuilder: (auto fancy_msg2 ) python-requests: found in system
2012-09-03 13:25:45,043 [INFO ] :pkgbuilder: (auto fancy_msg ) The build function reported a proper build.
2012-09-03 13:25:45,069 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 13:25:45,450 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=info&arg=pkgbuilder HTTP/1.1" 200 None
2012-09-03 13:25:45,452 [INFO ] :pkgbuilder: (auto fancy_msg2 ) [INF3450] validation: installed 2.1.3.7-1
2012-09-03 13:25:45,452 [INFO ] :pkgbuilder: Quitting.